# Jamf Pro Documentation
> The Classic API is the primary resource for programmatically interacting with Jamf Pro. The base URL for the Classic API is located at /JSSResource on each Jamf Pro instance. Documentation and “Try it out” features are built into each instance of Jamf Pro, and can be accessed at /api.
Fetch the complete documentation index at: https://developer.jamf.com/jamf-pro/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.
## API Reference: Classic API
- [accounts](https://developer.jamf.com/jamf-pro/reference/accounts.md)
- [Finds all accounts](https://developer.jamf.com/jamf-pro/reference/findaccounts.md): Finds all accounts > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/accounts`](https://developer.jamf.com/jamf-pro/reference/get_v1-accounts). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds groups by ID](https://developer.jamf.com/jamf-pro/reference/findgroupsbyid.md): Finds groups by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing group by ID](https://developer.jamf.com/jamf-pro/reference/updategroupbyid.md): Groups updated via this endpoint are updated only within Jamf Pro and will not affect the LDAP server. > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new group by ID](https://developer.jamf.com/jamf-pro/reference/creategroupbyid.md): Groups created via this endpoint are created only within Jamf Pro and will not affect the LDAP server. > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/accounts`](https://developer.jamf.com/jamf-pro/reference/post_v1-accounts). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a group by ID](https://developer.jamf.com/jamf-pro/reference/deletegroupbyid.md): Deletes a group by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds groups by name](https://developer.jamf.com/jamf-pro/reference/findgroupsbyname.md): Finds groups by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing group by name](https://developer.jamf.com/jamf-pro/reference/updategroupbyname.md): Groups updated via this endpoint are updated only within Jamf Pro and will not affect the LDAP server. > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a group by name](https://developer.jamf.com/jamf-pro/reference/deletegroupbyname.md): Deletes a group by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds accounts by ID](https://developer.jamf.com/jamf-pro/reference/findaccountsbyid.md): Finds accounts by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing account by ID](https://developer.jamf.com/jamf-pro/reference/updateaccountbyid.md): Updates an existing account by ID > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new account by ID](https://developer.jamf.com/jamf-pro/reference/createaccountbyid.md): Creates a new account by ID > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/accounts`](https://developer.jamf.com/jamf-pro/reference/post_v1-accounts). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes an account by ID](https://developer.jamf.com/jamf-pro/reference/deleteaccountbyid.md): Deletes an account by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds accounts by name](https://developer.jamf.com/jamf-pro/reference/findaccountsbyname.md): Finds accounts by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing account by name](https://developer.jamf.com/jamf-pro/reference/updateaccountbyname.md): Updates an existing account by name > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes an account by name](https://developer.jamf.com/jamf-pro/reference/deleteaccountbyname.md): Deletes an account by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/accounts/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-accounts-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [activationcode](https://developer.jamf.com/jamf-pro/reference/activationcode.md)
- [Finds the Jamf Pro activation code](https://developer.jamf.com/jamf-pro/reference/findactivationcode.md): Finds the Jamf Pro activation code > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/activation-code/history`](https://developer.jamf.com/jamf-pro/reference/get_v1-activation-code-history). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates the Jamf Pro activation code](https://developer.jamf.com/jamf-pro/reference/updateactivationcode.md): Updates the Jamf Pro activation code > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/activation-code`](https://developer.jamf.com/jamf-pro/reference/put_v1-activation-code). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [advancedcomputersearches](https://developer.jamf.com/jamf-pro/reference/advancedcomputersearches.md)
- [Finds all advanced computer searches](https://developer.jamf.com/jamf-pro/reference/findadvancedcomputersearches.md)
- [Finds computer searches by ID](https://developer.jamf.com/jamf-pro/reference/findadvancedcomputersearchesbyid.md): Additional display fields are returned within the `Computer` object
- [Updates an existing advanced computer search by ID](https://developer.jamf.com/jamf-pro/reference/updateadvancedcomputersearchbyid.md)
- [Creates a new advanced computer search](https://developer.jamf.com/jamf-pro/reference/createadvancedcomputersearchgbyid.md)
- [Deletes a computer search by ID](https://developer.jamf.com/jamf-pro/reference/deleteadvancedcomputersearchbyid.md)
- [Finds advanced computer searches by name](https://developer.jamf.com/jamf-pro/reference/findadvancedcomputersearchesbyname.md): Additional display fields are returned within the `Computer` object
- [Updates an existing advanced computer search by name](https://developer.jamf.com/jamf-pro/reference/updateadvancedcomputersearchbyname.md)
- [Deletes a computer search by name](https://developer.jamf.com/jamf-pro/reference/deleteadvancedcomputersearchbyname.md)
- [advancedmobiledevicesearches](https://developer.jamf.com/jamf-pro/reference/advancedmobiledevicesearches.md)
- [Finds all advanced mobile device searches](https://developer.jamf.com/jamf-pro/reference/findadvancedmobiledevicesearches.md): Finds all advanced mobile device searches > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/advanced-mobile-device-searches`](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-mobile-device-searches). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds mobile device searches by ID](https://developer.jamf.com/jamf-pro/reference/findadvancedmobiledevicesearchesbyid.md): Finds mobile device searches by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/advanced-mobile-device-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-mobile-device-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing advanced mobile device search by ID](https://developer.jamf.com/jamf-pro/reference/updateadvancedmobiledevicesearchbyid.md): Updates an existing advanced mobile device search by ID > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/advanced-mobile-device-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-advanced-mobile-device-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new advanced mobile device search](https://developer.jamf.com/jamf-pro/reference/createadvancedmobiledevicesearchbyid.md): Creates a new advanced mobile device search > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/advanced-mobile-device-searches`](https://developer.jamf.com/jamf-pro/reference/post_v1-advanced-mobile-device-searches). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a mobile device search by ID](https://developer.jamf.com/jamf-pro/reference/deleteadvancedmobiledevicesearchbyid.md): Deletes a mobile device search by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/advanced-mobile-device-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-advanced-mobile-device-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds advanced mobile device searches by name](https://developer.jamf.com/jamf-pro/reference/findmobiledevicesearchesbyname.md): Finds advanced mobile device searches by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/advanced-mobile-device-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-mobile-device-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing advanced mobile device search by name](https://developer.jamf.com/jamf-pro/reference/updateadvancedmobiledevicesearchbyname.md): Updates an existing advanced mobile device search by name > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/advanced-mobile-device-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-advanced-mobile-device-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a mobile device search by name](https://developer.jamf.com/jamf-pro/reference/deleteadvancedmobiledevicesearchbyname.md): Deletes a mobile device search by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/advanced-mobile-device-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-advanced-mobile-device-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [advancedusersearches](https://developer.jamf.com/jamf-pro/reference/advancedusersearches.md)
- [Finds all advanced user searches](https://developer.jamf.com/jamf-pro/reference/findadvancedusersearches.md): Finds all advanced user searches > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/advanced-user-content-searches`](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-user-content-searches). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds user searches by ID](https://developer.jamf.com/jamf-pro/reference/findadvancedusersearchesbyid.md): Finds user searches by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/advanced-user-content-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-user-content-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing advanced user search by ID](https://developer.jamf.com/jamf-pro/reference/updateadvancedusersearchbyid.md): Updates an existing advanced user search by ID > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/advanced-user-content-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-advanced-user-content-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new advanced user search by ID](https://developer.jamf.com/jamf-pro/reference/createadvancedusersearchgbyid.md): Creates a new advanced user search by ID > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/advanced-user-content-searches`](https://developer.jamf.com/jamf-pro/reference/post_v1-advanced-user-content-searches). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a user search by ID](https://developer.jamf.com/jamf-pro/reference/deleteadvancedusersearchbyid.md): Deletes a user search by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/advanced-user-content-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-advanced-user-content-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds user searches by name](https://developer.jamf.com/jamf-pro/reference/findusersearchesbyname.md): Finds user searches by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/advanced-user-content-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-advanced-user-content-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing advanced user search by name](https://developer.jamf.com/jamf-pro/reference/updateadvancedusersearchbyname.md): Updates an existing advanced user search by name > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/advanced-user-content-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-advanced-user-content-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a user search by Name](https://developer.jamf.com/jamf-pro/reference/deleteadvancedusersearchbyname.md): Deletes a user search by Name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/advanced-user-content-searches/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-advanced-user-content-searches-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [allowedfileextensions](https://developer.jamf.com/jamf-pro/reference/allowedfileextensions.md)
- [Finds the allowed file extensions](https://developer.jamf.com/jamf-pro/reference/findallowedfileextension.md)
- [Finds an allowed file extension value by ID](https://developer.jamf.com/jamf-pro/reference/findallowedfileextensionbyid.md)
- [Creates a new allowed file extension value by ID](https://developer.jamf.com/jamf-pro/reference/createallowedfileextensionbyid.md)
- [Deletes an allowed file extension value by ID](https://developer.jamf.com/jamf-pro/reference/deleteallowedfileextensionbyid.md)
- [Finds an allowed file extension value by name](https://developer.jamf.com/jamf-pro/reference/findallowedfileextensionbyname.md)
- [buildings](https://developer.jamf.com/jamf-pro/reference/buildings.md)
- [Finds all buildings](https://developer.jamf.com/jamf-pro/reference/findbuildings.md): Finds all buildings > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/buildings`](https://developer.jamf.com/jamf-pro/reference/get_v1-buildings). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds buildings by ID](https://developer.jamf.com/jamf-pro/reference/findbuildingsbyid.md): Finds buildings by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/buildings/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-buildings-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing building by ID](https://developer.jamf.com/jamf-pro/reference/updatebuildingbyid.md): Updates an existing building by ID > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/buildings/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-buildings-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new building](https://developer.jamf.com/jamf-pro/reference/createbuildingbyid.md): Creates a new building > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/buildings/{id}/history`](https://developer.jamf.com/jamf-pro/reference/post_v1-buildings-id-history). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a building by ID](https://developer.jamf.com/jamf-pro/reference/deletebuildingbyid.md): Deletes a building by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/buildings/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-buildings-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds buildings by name](https://developer.jamf.com/jamf-pro/reference/findbuildingsbyname.md): Finds buildings by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/buildings/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-buildings-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing building by name](https://developer.jamf.com/jamf-pro/reference/updatebuildingbyname.md): Updates an existing building by name > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/buildings/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-buildings-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a building by name](https://developer.jamf.com/jamf-pro/reference/deletebuildingbyname.md): Deletes a building by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/buildings/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-buildings-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [byoprofiles](https://developer.jamf.com/jamf-pro/reference/byoprofiles.md)
- [Finds all personal device profiles](https://developer.jamf.com/jamf-pro/reference/findbyoprofiles.md)
- [Finds personal device profile by ID](https://developer.jamf.com/jamf-pro/reference/findbyoprofilesbyid.md)
- [Updates a personal device profile by ID](https://developer.jamf.com/jamf-pro/reference/updatebyoprofilesbyid.md)
- [Creates a personal device profile by ID](https://developer.jamf.com/jamf-pro/reference/createbyoprofilesbyid.md)
- [Deletes a personal device profile by ID](https://developer.jamf.com/jamf-pro/reference/deletebyoprofilesbyid.md)
- [Finds a personal device profile by name](https://developer.jamf.com/jamf-pro/reference/findbyoprofilesbyname.md)
- [Updates a personal device profile by name](https://developer.jamf.com/jamf-pro/reference/updatebyoprofilesbyname.md): You cannot reassign the site since it is maintained by Jamf Pro.
- [Deletes a personal device profile by name](https://developer.jamf.com/jamf-pro/reference/deletebyoprofilesbyname.md)
- [categories](https://developer.jamf.com/jamf-pro/reference/categories.md)
- [Finds all categories](https://developer.jamf.com/jamf-pro/reference/findcategories.md): Finds all categories > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/categories`](https://developer.jamf.com/jamf-pro/reference/get_v1-categories). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds categories by ID](https://developer.jamf.com/jamf-pro/reference/findcategoriesbyid.md): Finds categories by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/categories/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-categories-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing category by ID](https://developer.jamf.com/jamf-pro/reference/updatecategorybyid.md): Updates an existing category by ID > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/categories/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-categories-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new category by ID](https://developer.jamf.com/jamf-pro/reference/createcategorybyid.md): Creates a new category by ID > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/categories/{id}/history`](https://developer.jamf.com/jamf-pro/reference/post_v1-categories-id-history). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a category by ID](https://developer.jamf.com/jamf-pro/reference/deletecategorybyid.md): Deletes a category by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/categories/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-categories-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds categories by name](https://developer.jamf.com/jamf-pro/reference/findcategoriesbyname.md): Finds categories by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/categories/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-categories-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing category by name](https://developer.jamf.com/jamf-pro/reference/updatecategorybyname.md): Updates an existing category by name > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/categories/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-categories-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a category by name](https://developer.jamf.com/jamf-pro/reference/deletecategorybyname.md): Deletes a category by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/categories/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-categories-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [classes](https://developer.jamf.com/jamf-pro/reference/classes.md)
- [Finds all classes](https://developer.jamf.com/jamf-pro/reference/findclasses.md)
- [Finds classes by ID](https://developer.jamf.com/jamf-pro/reference/findclassesbyid.md)
- [Updates an existing class by ID](https://developer.jamf.com/jamf-pro/reference/updateclassbyid.md): The mobile device list is not used by this operation, the mobile device group is used instead.
- [Creates a new class by ID](https://developer.jamf.com/jamf-pro/reference/createclassbyid.md): The mobile device list is not used by this operation, the mobile device group is used instead.
- [Deletes a class by ID](https://developer.jamf.com/jamf-pro/reference/deleteclassbyid.md)
- [Finds classes by name](https://developer.jamf.com/jamf-pro/reference/findclassesbyname.md)
- [Updates an existing class by name](https://developer.jamf.com/jamf-pro/reference/updateclassbyname.md): The mobile device list is not used by this operation, the mobile device group is used instead.
- [Deletes a class by name](https://developer.jamf.com/jamf-pro/reference/deleteclassbyname.md)
- [commandflush](https://developer.jamf.com/jamf-pro/reference/commandflush.md)
- [Flushes commands based on information specified in an XML file](https://developer.jamf.com/jamf-pro/reference/commandflush-1.md)
- [Flushes commands for devices](https://developer.jamf.com/jamf-pro/reference/createcommandflushwithidandstatus.md)
- [computerapplications](https://developer.jamf.com/jamf-pro/reference/computerapplications.md)
- [Finds computer applications by name](https://developer.jamf.com/jamf-pro/reference/findcomputerapplicationsbyname.md)
- [Finds computer applications by name with additional display fields](https://developer.jamf.com/jamf-pro/reference/findcomputerapplicationsbynameinventory.md): Valid values for inventory are comma separated Display Fields for computers. Display Fields with spaces must be percent encoded (e.g. /computerapplications/application/Safari.app/inventory/Operating%20System,Last%20Check-in)
- [Finds computer applications by name and version](https://developer.jamf.com/jamf-pro/reference/findcomputerapplicationbynameandversion.md)
- [Finds computer applications by name and version](https://developer.jamf.com/jamf-pro/reference/findcomputerapplicationsbynameandversionandinventory.md): Generates additional inventory data for the devices matching the search criteria. Inventory values may be displayed in addition to computer identification information. Use Default to view the same fields as those checked for Inventory Display, otherwise list display fields separated by commas.
- [computerapplicationusage](https://developer.jamf.com/jamf-pro/reference/computerapplicationusage.md)
- [Finds computer application usage by computer ID](https://developer.jamf.com/jamf-pro/reference/findcomputerapplicationusagebyid.md)
- [Finds computer application usage by computer name](https://developer.jamf.com/jamf-pro/reference/findcomputerapplicationusagebyname.md)
- [Finds computer application usage by computer UDID](https://developer.jamf.com/jamf-pro/reference/findcomputerapplicationusagebyudid.md)
- [Finds computer application usage by computer serial number](https://developer.jamf.com/jamf-pro/reference/findcomputerapplicationusagebyserial.md)
- [Finds computer application usage by computer MAC address](https://developer.jamf.com/jamf-pro/reference/findcomputerapplicationusagebymacaddress.md)
- [computercheckin](https://developer.jamf.com/jamf-pro/reference/computercheckin.md)
- [Finds the Jamf Pro computer checkin information](https://developer.jamf.com/jamf-pro/reference/findcomputercheckin.md): Finds the Jamf Pro computer checkin information > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/check-in`](https://developer.jamf.com/jamf-pro/reference/get_v3-check-in). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates the Jamf Pro computer checkin information](https://developer.jamf.com/jamf-pro/reference/updatecomputercheckin.md): Updates the Jamf Pro computer checkin information > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v3/check-in`](https://developer.jamf.com/jamf-pro/reference/put_v3-check-in). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [computercommands](https://developer.jamf.com/jamf-pro/reference/computercommands.md)
- [Finds all computer commands](https://developer.jamf.com/jamf-pro/reference/findcomputercommands.md)
- [Finds all computer commands by name](https://developer.jamf.com/jamf-pro/reference/findcomputercommandsbyname.md)
- [Finds a computer command by UUID](https://developer.jamf.com/jamf-pro/reference/findcomputercommandsbyuuid.md)
- [Creates a new computer command using command name](https://developer.jamf.com/jamf-pro/reference/createcomputercommandbycommand.md): The chart below includes additional requirements for usage of specific commands | command | Parameter | Requirements | | ------- | --------- | ------------ | | DisableRemoteDesktop | N/A | macOS 10.14.4 or later | | EnableRemoteDesktop | N/A | macOS 10.14.4 or later | | UnlockUserAccount (deprecated on 2025-07-07)| user_name | DEP enrolled device and user_name value (string) |
- [Creates a new computer command using command name and device IDs](https://developer.jamf.com/jamf-pro/reference/createcomputercommandbycommandandid.md)
- [computerextensionattributes](https://developer.jamf.com/jamf-pro/reference/computerextensionattributes.md)
- [Finds all computer extension attributes](https://developer.jamf.com/jamf-pro/reference/findcomputerextensionattributes.md): Finds all computer extension attributes > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/computer-extension-attributes`](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds computer extension attributes by ID](https://developer.jamf.com/jamf-pro/reference/findcomputerextensionattributesbyid.md): Finds computer extension attributes by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/computer-extension-attributes/templates/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes-templates-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing computer extension attribute by ID](https://developer.jamf.com/jamf-pro/reference/updatecomputerextensionattributebyid.md): Updates an existing computer extension attribute by ID > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/computer-extension-attributes/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-computer-extension-attributes-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new computer extension attribute by ID](https://developer.jamf.com/jamf-pro/reference/createcomputerextensionattributebyid.md): Creates a new computer extension attribute by ID > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/computer-extension-attributes/{id}/history`](https://developer.jamf.com/jamf-pro/reference/post_v1-computer-extension-attributes-id-history). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a computer extension attribute by ID](https://developer.jamf.com/jamf-pro/reference/deletecomputerextensionattributebyid.md): Deletes a computer extension attribute by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/computer-extension-attributes/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-computer-extension-attributes-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds computer extension attributes by name](https://developer.jamf.com/jamf-pro/reference/findcomputerextensionattributesbyname.md): Finds computer extension attributes by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/computer-extension-attributes/templates/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-computer-extension-attributes-templates-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing computer extension attribute by name](https://developer.jamf.com/jamf-pro/reference/updatecomputerextensionattributebyname.md): Updates an existing computer extension attribute by name > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/computer-extension-attributes/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-computer-extension-attributes-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a computer extension attribute by name](https://developer.jamf.com/jamf-pro/reference/deletecomputerextensionattributebyname.md): Deletes a computer extension attribute by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/computer-extension-attributes/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-computer-extension-attributes-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [computergroups](https://developer.jamf.com/jamf-pro/reference/computergroups.md)
- [Finds all computer groups](https://developer.jamf.com/jamf-pro/reference/findcomputergroups.md): Finds all computer groups > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v2/computer-groups/smart-groups`](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-groups-smart-groups). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds computer groups by ID](https://developer.jamf.com/jamf-pro/reference/findcomputergroupsbyid.md): Finds computer groups by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v2/computer-groups/smart-group-membership/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-groups-smart-group-membership-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing computer group by ID](https://developer.jamf.com/jamf-pro/reference/updatecomputergroupbyid.md): One or more computers can be added by using "computer_additions" instead of "computers". One or more computers can be deleted by using "computer_deletions" instead of "computers" > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v2/computer-groups/smart-groups/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v2-computer-groups-smart-groups-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new computer group by ID](https://developer.jamf.com/jamf-pro/reference/createcomputergroupbyid.md): Creates a new computer group by ID > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v2/computer-groups/smart-groups`](https://developer.jamf.com/jamf-pro/reference/post_v2-computer-groups-smart-groups). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a computer group by ID](https://developer.jamf.com/jamf-pro/reference/deletecomputergroupbyid.md): Deletes a computer group by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v2/computer-groups/smart-groups/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v2-computer-groups-smart-groups-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds computer groups by name](https://developer.jamf.com/jamf-pro/reference/findcomputergroupsbyname.md): Finds computer groups by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v2/computer-groups/smart-group-membership/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-groups-smart-group-membership-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing computer group by name](https://developer.jamf.com/jamf-pro/reference/updatecomputergroupbyname.md): One or more computers can be added by using "computer_additions" instead of "computers". One or more computers can be deleted by using "computer_deletions" instead of "computers" > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v2/computer-groups/smart-groups/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v2-computer-groups-smart-groups-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a computer group by name](https://developer.jamf.com/jamf-pro/reference/deletecomputergroupbyname.md): Deletes a computer group by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v2/computer-groups/smart-groups/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v2-computer-groups-smart-groups-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [computerhardwaresoftwarereports](https://developer.jamf.com/jamf-pro/reference/computerhardwaresoftwarereports.md)
- [Finds hardware/software reports by computer ID](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbyid.md)
- [Finds a subset of hardware/software reports by computer ID](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbyidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/Software&Hardware)
- [Finds hardware/software reports by computer name](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbyname.md)
- [Finds a subset of hardware/software reports by computer name](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbynamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/Software&Hardware)
- [Finds hardware/software reports by computer UDID](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbyudid.md)
- [Finds a subset of hardware/software reports by computer UDID](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbyudidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/Software&Hardware)
- [Finds hardware/software reports by computer serial number](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbyserial.md)
- [Finds a subset of hardware/software reports by computer serial number](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbyserialsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/Software&Hardware)
- [Finds hardware/software reports by computer MAC address](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbymacaddress.md)
- [Finds a subset of hardware/software reports by computer MAC address](https://developer.jamf.com/jamf-pro/reference/findcomputerhardwaresoftwarereportsbymacaddresssubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/Software&Hardware)
- [computerhistory](https://developer.jamf.com/jamf-pro/reference/computerhistory.md)
- [Finds computer history by ID](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybyid.md)
- [Finds a subset of computer history data by ID](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybyidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Commands)
- [Finds computer history by name](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybyname.md)
- [Finds a subset of computer history data by name](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybynamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Commands)
- [Finds computer history by UDID](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybyudid.md)
- [Finds a subset of computer history data by UDID](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybyudidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Commands)
- [Finds computer history by serial number](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybyserialnumber.md)
- [Finds a subset of computer history data by serial number](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybyserialnumbersubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Commands)
- [Finds computer history by MAC address](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybymacaddress.md)
- [Finds a subset of computer history data by MAC address](https://developer.jamf.com/jamf-pro/reference/findcomputerhistorybymacaddresssubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Commands)
- [computerinventorycollection](https://developer.jamf.com/jamf-pro/reference/computerinventorycollection.md)
- [Finds the Jamf Pro computer inventory collection information](https://developer.jamf.com/jamf-pro/reference/findcomputerinventorycollection.md): Finds the Jamf Pro computer inventory collection information > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v2/computer-inventory-collection-settings`](https://developer.jamf.com/jamf-pro/reference/get_v2-computer-inventory-collection-settings). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates the Jamf Pro computer inventory collection information](https://developer.jamf.com/jamf-pro/reference/updatecomputerinventorycollection.md): Updates the Jamf Pro computer inventory collection information > 🔄 **Jamf Pro API equivalent available:** [`PATCH /api/v2/computer-inventory-collection-settings`](https://developer.jamf.com/jamf-pro/reference/patch_v2-computer-inventory-collection-settings). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [computerinvitations](https://developer.jamf.com/jamf-pro/reference/computerinvitations.md)
- [Finds all computer invitations](https://developer.jamf.com/jamf-pro/reference/findcomputerinvitations.md)
- [Finds computer invitations by id](https://developer.jamf.com/jamf-pro/reference/findcomputerinvitationsbyid.md)
- [Creates a new computer invitation by id](https://developer.jamf.com/jamf-pro/reference/createcomputerinvitationsbyid.md)
- [Deletes a computer invitation by id](https://developer.jamf.com/jamf-pro/reference/deletecomputerinvitationbyid.md)
- [Finds computer invitations by invitation](https://developer.jamf.com/jamf-pro/reference/findcomputerinvitationsbyinvitation.md)
- [Creates a new computer invitation by invitation](https://developer.jamf.com/jamf-pro/reference/createcomputerinvitationsbyinvitation.md)
- [Deletes a computer invitation by invitation](https://developer.jamf.com/jamf-pro/reference/deletecomputerinvitationbyinvitation.md)
- [computermanagement](https://developer.jamf.com/jamf-pro/reference/computermanagement.md)
- [Finds computer management information by ID](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyid.md)
- [Finds a subset of computer management information by ID](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Finds management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyidusername.md)
- [Finds a subset of management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyidusernamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Display patch management information for a computer and filter](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyidpatchfilter.md)
- [Finds computer management information by name](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyname.md)
- [Finds a subset of computer management information by name](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbynamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Finds management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbynameusername.md)
- [Finds a subset of management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbynameusernamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Display patch management information for a computer and filter](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbynamepatchfilter.md)
- [Finds computer management information by UDID](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyudid.md)
- [Finds a subset of computer management information by UDID](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyudidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Finds management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyudidusername.md)
- [Finds a subset of management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyudidusernamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Display patch management information for a computer and filter](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyudidpatchfilter.md)
- [Finds computer management information by serial number](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyserialnumber.md)
- [Finds a subset of computer management information by serial number](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyserialnumbersubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Finds management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyserialnumberusername.md)
- [Finds a subset of management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyserialnumberusernamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Display patch management information for a computer and filter](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbyserialnumberpatchfilter.md)
- [Finds computer management information by MAC address](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbymacaddress.md)
- [Finds a subset of computer management information by MAC address](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbymacaddresssubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Finds management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbymacaddressusername.md)
- [Finds a subset of management information for a computer and username](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbymacaddressusernamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Policies)
- [Display patch management information for a computer and filter](https://developer.jamf.com/jamf-pro/reference/findcomputermanagementbymacaddresspatchfilter.md)
- [computerreports](https://developer.jamf.com/jamf-pro/reference/computerreports.md)
- [Finds all computer reports](https://developer.jamf.com/jamf-pro/reference/findcomputerreports.md)
- [Finds computer reports by id](https://developer.jamf.com/jamf-pro/reference/findcomputerreportsbyid.md): Additional display fields are returned within the `Computer` object
- [Finds computer reports by name](https://developer.jamf.com/jamf-pro/reference/findcomputerreportsbyname.md): Additional display fields are returned within the `Computer` object
- [computers](https://developer.jamf.com/jamf-pro/reference/computers.md)
- [Finds all computers](https://developer.jamf.com/jamf-pro/reference/findcomputers.md): Finds all computers > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds basic information for all computers](https://developer.jamf.com/jamf-pro/reference/findcomputersbasic.md): Finds basic information for all computers > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Searches for computers that match the provided parameter](https://developer.jamf.com/jamf-pro/reference/matchcomputers.md): Match performs the same function as a simple search in the GUI. > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Searches for computers that match the provided name parameter](https://developer.jamf.com/jamf-pro/reference/matchcomputersnames.md): Searches for computers that match the provided name parameter > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds computers by ID](https://developer.jamf.com/jamf-pro/reference/findcomputersbyid.md): Finds computers by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing computer by ID](https://developer.jamf.com/jamf-pro/reference/updatecomputerbyid.md): Certificates and mdm_capable are ignored. > 🔄 **Jamf Pro API equivalent available:** [`PATCH /api/v3/computers-inventory-detail/{id}`](https://developer.jamf.com/jamf-pro/reference/patch_v3-computers-inventory-detail-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a computer](https://developer.jamf.com/jamf-pro/reference/createcomputerbyid.md): Certificates and mdm_capable are ignored. > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v3/computers-inventory/{id}/attachments`](https://developer.jamf.com/jamf-pro/reference/post_v3-computers-inventory-id-attachments). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a computer by ID](https://developer.jamf.com/jamf-pro/reference/deletecomputerbyid.md): Deletes a computer by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v3/computers-inventory/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v3-computers-inventory-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds a subset of information for a computer](https://developer.jamf.com/jamf-pro/reference/findcomputersbyidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Location) > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds the first computer with the given name](https://developer.jamf.com/jamf-pro/reference/findcomputersbyname.md): Finds the first computer with the given name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing computer by name](https://developer.jamf.com/jamf-pro/reference/updatecomputerbyname.md): Certificates and mdm_capable are ignored. > 🔄 **Jamf Pro API equivalent available:** [`PATCH /api/v3/computers-inventory-detail/{id}`](https://developer.jamf.com/jamf-pro/reference/patch_v3-computers-inventory-detail-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a computer by name](https://developer.jamf.com/jamf-pro/reference/deletecomputerbyname.md): Deletes a computer by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v3/computers-inventory/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v3-computers-inventory-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds a subset of data for the first computer with the given name](https://developer.jamf.com/jamf-pro/reference/findcomputersbynamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Hardware) > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds computers by UDID](https://developer.jamf.com/jamf-pro/reference/findcomputersbyudid.md): Finds computers by UDID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing computer by UDID](https://developer.jamf.com/jamf-pro/reference/updatecomputerbyudid.md): Certificates and mdm_capable are ignored. > 🔄 **Jamf Pro API equivalent available:** [`PATCH /api/v3/computers-inventory-detail/{id}`](https://developer.jamf.com/jamf-pro/reference/patch_v3-computers-inventory-detail-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a computer by UDID](https://developer.jamf.com/jamf-pro/reference/deletecomputerbyudid.md): Deletes a computer by UDID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v3/computers-inventory/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v3-computers-inventory-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds a subset of data for computers by UDID](https://developer.jamf.com/jamf-pro/reference/findcomputersbyudidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Hardware) > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds computers by serial number](https://developer.jamf.com/jamf-pro/reference/findcomputersbyserialnumber.md): Finds computers by serial number > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing computer by serial number](https://developer.jamf.com/jamf-pro/reference/updatecomputerbyserialnumber.md): Certificates and mdm_capable are ignored. > 🔄 **Jamf Pro API equivalent available:** [`PATCH /api/v3/computers-inventory-detail/{id}`](https://developer.jamf.com/jamf-pro/reference/patch_v3-computers-inventory-detail-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a computer by serial number](https://developer.jamf.com/jamf-pro/reference/deletecomputerbyserialnumber.md): Deletes a computer by serial number > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v3/computers-inventory/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v3-computers-inventory-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds a subset of data for computers by serial number](https://developer.jamf.com/jamf-pro/reference/findcomputersbyserialnumbersubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Hardware) > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds computers by MAC address](https://developer.jamf.com/jamf-pro/reference/findcomputersbymacaddress.md): Finds computers by MAC address > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing computer by MAC address](https://developer.jamf.com/jamf-pro/reference/updatecomputerbymacaddress.md): Certificates and mdm_capable are ignored. > 🔄 **Jamf Pro API equivalent available:** [`PATCH /api/v3/computers-inventory-detail/{id}`](https://developer.jamf.com/jamf-pro/reference/patch_v3-computers-inventory-detail-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a computer by MAC address](https://developer.jamf.com/jamf-pro/reference/deletecomputerbymacaddress.md): Deletes a computer by MAC address > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v3/computers-inventory/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v3-computers-inventory-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds a subset of data for computers by MAC address](https://developer.jamf.com/jamf-pro/reference/findcomputersbymacaddresssubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Hardware) > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v3/computers-inventory`](https://developer.jamf.com/jamf-pro/reference/get_v3-computers-inventory). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [departments](https://developer.jamf.com/jamf-pro/reference/departments.md)
- [Finds all departments](https://developer.jamf.com/jamf-pro/reference/finddepartments.md): Finds all departments > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/departments`](https://developer.jamf.com/jamf-pro/reference/get_v1-departments). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds departments by ID](https://developer.jamf.com/jamf-pro/reference/finddepartmentsbyid.md): Finds departments by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/departments/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-departments-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing department by ID](https://developer.jamf.com/jamf-pro/reference/updatedepartmentbyid.md): Updates an existing department by ID > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/departments/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-departments-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new department by ID](https://developer.jamf.com/jamf-pro/reference/createdepartmentbyid.md): Creates a new department by ID > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/departments/{id}/history`](https://developer.jamf.com/jamf-pro/reference/post_v1-departments-id-history). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a department by ID](https://developer.jamf.com/jamf-pro/reference/deletedepartmentbyid.md): Deletes a department by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/departments/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-departments-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds departments by name](https://developer.jamf.com/jamf-pro/reference/finddepartmentsbyname.md): Finds departments by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/departments/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-departments-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing department by name](https://developer.jamf.com/jamf-pro/reference/updatedepartmentbyname.md): Updates an existing department by name > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/departments/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-departments-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a department by name](https://developer.jamf.com/jamf-pro/reference/deletedepartmentbyname.md): Deletes a department by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/departments/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-departments-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [directorybindings](https://developer.jamf.com/jamf-pro/reference/directorybindings.md)
- [Finds all directory bindings](https://developer.jamf.com/jamf-pro/reference/finddirectorybindings.md)
- [Finds directory bindings by ID](https://developer.jamf.com/jamf-pro/reference/finddirectorybindingsbyid.md)
- [Updates an existing directory binding by ID](https://developer.jamf.com/jamf-pro/reference/updatedirectorybindingbyid.md)
- [Creates a new directory binding by ID](https://developer.jamf.com/jamf-pro/reference/createdirectorybindingbyid.md)
- [Deletes a directory binding by ID](https://developer.jamf.com/jamf-pro/reference/deletedirectorybindingbyid.md)
- [Finds directory bindings by name](https://developer.jamf.com/jamf-pro/reference/finddirectorybindingsbyname.md)
- [Updates an existing directory binding by name](https://developer.jamf.com/jamf-pro/reference/updatedirectorybindingbyname.md)
- [Deletes a directory binding by name](https://developer.jamf.com/jamf-pro/reference/deletedirectorybindingbyname.md)
- [diskencryptionconfigurations](https://developer.jamf.com/jamf-pro/reference/diskencryptionconfigurations.md)
- [Finds all disk encryption configurations](https://developer.jamf.com/jamf-pro/reference/finddiskencryptionconfigurations.md)
- [Finds disk encryption configurations by ID](https://developer.jamf.com/jamf-pro/reference/finddiskencryptionconfigurationsbyid.md)
- [Updates an existing disk encryption configuration by ID](https://developer.jamf.com/jamf-pro/reference/updatediskencryptionconfigurationbyid.md)
- [Creates a new disk encryption configuration by ID](https://developer.jamf.com/jamf-pro/reference/creatediskencryptionconfigurationbyid.md)
- [Deletes a disk encryption configuration by ID](https://developer.jamf.com/jamf-pro/reference/deletediskencryptionconfigurationbyid.md)
- [Finds disk encryption configurations by name](https://developer.jamf.com/jamf-pro/reference/finddiskencryptionconfigurationsbyname.md)
- [Updates an existing disk encryption configuration by name](https://developer.jamf.com/jamf-pro/reference/updatediskencryptionconfigurationbyname.md)
- [Deletes a disk encryption configuration by name](https://developer.jamf.com/jamf-pro/reference/deletediskencryptionconfigurationbyname.md)
- [distributionpoints](https://developer.jamf.com/jamf-pro/reference/distributionpoints.md)
- [Finds all distribution points](https://developer.jamf.com/jamf-pro/reference/finddistributionpoints.md): Finds all distribution points > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/distribution-points`](https://developer.jamf.com/jamf-pro/reference/get_v1-distribution-points). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds distribution points by ID](https://developer.jamf.com/jamf-pro/reference/finddistributionpointsbyid.md): Finds distribution points by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/distribution-points/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-distribution-points-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing distribution point by ID](https://developer.jamf.com/jamf-pro/reference/updatedistributionpointbyid.md): Updates an existing distribution point by ID > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/distribution-points/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-distribution-points-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Creates a new distribution point by ID](https://developer.jamf.com/jamf-pro/reference/createdistributionpointbyid.md): Creates a new distribution point by ID > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/distribution-points/{id}/history`](https://developer.jamf.com/jamf-pro/reference/post_v1-distribution-points-id-history). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a distribution point by ID](https://developer.jamf.com/jamf-pro/reference/deletedistributionpointbyid.md): Deletes a distribution point by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/distribution-points/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-distribution-points-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Finds distribution points by name](https://developer.jamf.com/jamf-pro/reference/finddistributionpointsbyname.md): Finds distribution points by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/distribution-points/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-distribution-points-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates an existing distribution point by name](https://developer.jamf.com/jamf-pro/reference/updatedistributionpointbyname.md): Updates an existing distribution point by name > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/distribution-points/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-distribution-points-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Deletes a distribution point by name](https://developer.jamf.com/jamf-pro/reference/deletedistributionpointbyname.md): Deletes a distribution point by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/distribution-points/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-distribution-points-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [dockitems](https://developer.jamf.com/jamf-pro/reference/dockitems.md)
- [Finds all dock items](https://developer.jamf.com/jamf-pro/reference/finddockitems.md): Finds all dock items > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/dock-items/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-dock-items-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Finds dock items by ID](https://developer.jamf.com/jamf-pro/reference/finddockitemsbyid.md): Finds dock items by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/dock-items/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-dock-items-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Updates an existing dock item by ID](https://developer.jamf.com/jamf-pro/reference/updatedockitembyid.md): Updates an existing dock item by ID > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/dock-items/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-dock-items-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Creates a new dock item by ID](https://developer.jamf.com/jamf-pro/reference/createdockitembyid.md): Creates a new dock item by ID > 🔄 **Jamf Pro API equivalent available:** [`POST /api/v1/dock-items`](https://developer.jamf.com/jamf-pro/reference/post_v1-dock-items). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Deletes a dock item by ID](https://developer.jamf.com/jamf-pro/reference/deletedockitembyid.md): Deletes a dock item by ID > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/dock-items/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-dock-items-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Finds dock items by name](https://developer.jamf.com/jamf-pro/reference/finddockitemsbyname.md): Finds dock items by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/dock-items/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-dock-items-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Updates an existing dock item by name](https://developer.jamf.com/jamf-pro/reference/updatedockitembyname.md): Updates an existing dock item by name > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/dock-items/{id}`](https://developer.jamf.com/jamf-pro/reference/put_v1-dock-items-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Deletes a dock item by name](https://developer.jamf.com/jamf-pro/reference/deletedockitembyname.md): Deletes a dock item by name > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/dock-items/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-dock-items-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [ebooks](https://developer.jamf.com/jamf-pro/reference/ebooks.md)
- [Finds all ebooks](https://developer.jamf.com/jamf-pro/reference/findebooks.md): Finds all ebooks > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ebooks`](https://developer.jamf.com/jamf-pro/reference/get_v1-ebooks). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Finds ebooks by ID](https://developer.jamf.com/jamf-pro/reference/findebooksbyid.md): Finds ebooks by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ebooks/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-ebooks-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Updates an existing ebook by ID](https://developer.jamf.com/jamf-pro/reference/updateebookbyid.md)
- [Creates a new ebook by ID](https://developer.jamf.com/jamf-pro/reference/createebookbyid.md)
- [Deletes an ebook by ID](https://developer.jamf.com/jamf-pro/reference/deleteebookbyid.md)
- [Finds a subset of data for an ebook by ID](https://developer.jamf.com/jamf-pro/reference/findebookssbyidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Scope) > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ebooks/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-ebooks-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Finds ebooks by name](https://developer.jamf.com/jamf-pro/reference/findebooksbyname.md): Finds ebooks by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ebooks/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-ebooks-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Updates an existing ebook by name](https://developer.jamf.com/jamf-pro/reference/updateebookbyname.md)
- [Deletes an ebook by name](https://developer.jamf.com/jamf-pro/reference/deleteebookbyname.md)
- [Finds a subset of data for ebooks by name](https://developer.jamf.com/jamf-pro/reference/findebooksbynamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Scope) > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ebooks/{id}`](https://developer.jamf.com/jamf-pro/reference/get_v1-ebooks-id). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Creates file attachments in Jamf Pro](https://developer.jamf.com/jamf-pro/reference/uploadfiles.md): Here is a sample command curl -k -u user:password https://my.server.com:8443/JSSResource/fileuploads/computers/id/2 -F name=@/Users/admin/Documents/Sample.doc -X POST
- [gsxconnection](https://developer.jamf.com/jamf-pro/reference/gsxconnection.md)
- [Finds the Jamf Pro GSX connection information](https://developer.jamf.com/jamf-pro/reference/findgsxconnection.md): Finds the Jamf Pro GSX connection information > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/gsx-connection`](https://developer.jamf.com/jamf-pro/reference/get_v1-gsx-connection). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Updates the Jamf Pro GSX connection information](https://developer.jamf.com/jamf-pro/reference/updategsxconnection.md): Updates the Jamf Pro GSX connection information > 🔄 **Jamf Pro API equivalent available:** [`PUT /api/v1/gsx-connection`](https://developer.jamf.com/jamf-pro/reference/put_v1-gsx-connection). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [healthcarelistener](https://developer.jamf.com/jamf-pro/reference/healthcarelistener.md)
- [Find all Healthcare Listeners](https://developer.jamf.com/jamf-pro/reference/findhealthcarelistener.md)
- [Finds healthcare listener by ID](https://developer.jamf.com/jamf-pro/reference/findhealthcarelistenersbyid.md)
- [Updates an existing healthcare listener by ID](https://developer.jamf.com/jamf-pro/reference/updatehealthcarelistenerbyid.md)
- [healthcarelistenerrule](https://developer.jamf.com/jamf-pro/reference/healthcarelistenerrule.md)
- [Find all Healthcare Listener rules](https://developer.jamf.com/jamf-pro/reference/findhealthcarelistenerrule.md)
- [Finds Healthcare Listener rules by ID](https://developer.jamf.com/jamf-pro/reference/findhealthcarelistenerrulesbyid.md)
- [Updates an existing Healthcare Listener rule by ID](https://developer.jamf.com/jamf-pro/reference/updatehealthcarelistenerrulebyid.md)
- [Creates a new Healthcare Listener rule](https://developer.jamf.com/jamf-pro/reference/createhealthcarelistenerrulebyid.md)
- [ibeacons](https://developer.jamf.com/jamf-pro/reference/ibeacons.md)
- [Finds all iBeacon regions](https://developer.jamf.com/jamf-pro/reference/findibeacons.md)
- [Finds iBeacon regions by ID](https://developer.jamf.com/jamf-pro/reference/findibeaconsbyid.md)
- [Updates an existing iBeacon region by ID](https://developer.jamf.com/jamf-pro/reference/updateibeaconbyid.md)
- [Creates a new iBeacon region by ID](https://developer.jamf.com/jamf-pro/reference/createibeaconbyid.md)
- [Deletes an iBeacon region by ID](https://developer.jamf.com/jamf-pro/reference/deleteibeaconbyid.md)
- [Finds iBeacon regions by name](https://developer.jamf.com/jamf-pro/reference/findibeaconsbyname.md)
- [Updates an existing iBeacon region by name](https://developer.jamf.com/jamf-pro/reference/updateibeaconbyname.md)
- [Deletes an iBeacon region by name](https://developer.jamf.com/jamf-pro/reference/deleteibeaconbyname.md)
- [infrastructuremanager](https://developer.jamf.com/jamf-pro/reference/infrastructuremanager.md)
- [Find all Infrastructure Managers](https://developer.jamf.com/jamf-pro/reference/findinfrastructuremanager.md)
- [Finds infrastructure manager by ID](https://developer.jamf.com/jamf-pro/reference/findinfrastructuremanagerbyid.md)
- [Updates an existing infrastructure manager by ID](https://developer.jamf.com/jamf-pro/reference/updateinfrastructuremanagerbyid.md)
- [Returns basic information about Jamf Pro, as well as privileges of the person requesting the resource. (Deprecated)](https://developer.jamf.com/jamf-pro/reference/jssuserget.md)
- [jsonwebtokenconfigurations](https://developer.jamf.com/jamf-pro/reference/jsonwebtokenconfigurations.md)
- [Finds all JSON Web Token configurations](https://developer.jamf.com/jamf-pro/reference/findjsonwebtokenconfigurations.md)
- [Find JSON Web Token configuration by ID](https://developer.jamf.com/jamf-pro/reference/findjsonwebtokenconfigurationbyid.md)
- [Updates an existing JSON Web Token configuration by ID](https://developer.jamf.com/jamf-pro/reference/updatejsonwebtokenconfigurationbyid.md)
- [Creates a new JSON Web Token configuration by ID](https://developer.jamf.com/jamf-pro/reference/createjsonwebtokenconfigurationbyid.md)
- [Deletes a JSON Web Token configuration by ID](https://developer.jamf.com/jamf-pro/reference/deletejsonwebtokenconfigurationbyid.md)
- [ldapservers](https://developer.jamf.com/jamf-pro/reference/ldapservers.md)
- [Finds all LDAP servers](https://developer.jamf.com/jamf-pro/reference/findldapservers.md): Finds all LDAP servers > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ldap/groups`](https://developer.jamf.com/jamf-pro/reference/get_v1-ldap-groups). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Finds LDAP servers by ID](https://developer.jamf.com/jamf-pro/reference/findldapserversbyid.md): Finds LDAP servers by ID > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ldap/groups`](https://developer.jamf.com/jamf-pro/reference/get_v1-ldap-groups). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Updates an existing LDAP server by ID](https://developer.jamf.com/jamf-pro/reference/updateldapserverbyid.md)
- [Creates a new LDAP server by ID](https://developer.jamf.com/jamf-pro/reference/createldapserverbyid.md)
- [Deletes an LDAP server by ID](https://developer.jamf.com/jamf-pro/reference/deleteldapserverbyid.md)
- [Display information for matching users for an LDAP server](https://developer.jamf.com/jamf-pro/reference/findldapserveruserbyid.md): Displays information about matching users for an ldap server specified with the {id} parameter. > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ldap/groups`](https://developer.jamf.com/jamf-pro/reference/get_v1-ldap-groups). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Display information for matching groups for an LDAP server](https://developer.jamf.com/jamf-pro/reference/findldapservergroupbyid.md): Displays information about matching groups for an ldap server specified with the {id} parameter. > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ldap/groups`](https://developer.jamf.com/jamf-pro/reference/get_v1-ldap-groups). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Display information about user membership in a group for an LDAP server](https://developer.jamf.com/jamf-pro/reference/findldapservergroupuserbyid.md): Displays information about user membership in a group for an ldap server specified with the {id} parameter. Multiple users separated by a comma are allowed. > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ldap/groups`](https://developer.jamf.com/jamf-pro/reference/get_v1-ldap-groups). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Finds LDAP servers by name](https://developer.jamf.com/jamf-pro/reference/findldapserversbyname.md): Finds LDAP servers by name > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ldap/groups`](https://developer.jamf.com/jamf-pro/reference/get_v1-ldap-groups). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Updates an existing LDAP server by name](https://developer.jamf.com/jamf-pro/reference/updateldapserverbyname.md)
- [Deletes an LDAP server by name](https://developer.jamf.com/jamf-pro/reference/deleteldapserverbyname.md)
- [Display information for matching users for an LDAP server](https://developer.jamf.com/jamf-pro/reference/findldapserveruserbyname.md): Displays information about matching users for an ldap server specified with the {name} parameter. > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ldap/groups`](https://developer.jamf.com/jamf-pro/reference/get_v1-ldap-groups). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Display information for matching groups for an LDAP server](https://developer.jamf.com/jamf-pro/reference/findldapservergroupbyname.md): Displays information about matching groups for an ldap server specified with the {name} parameter. > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ldap/groups`](https://developer.jamf.com/jamf-pro/reference/get_v1-ldap-groups). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [Display information about user membership in a group for an LDAP server](https://developer.jamf.com/jamf-pro/reference/findldapservergroupuserbyname.md): Displays information about user membership in a group for an ldap server specified with the {name} parameter. Multiple users separated by a comma are allowed. > 🔄 **Jamf Pro API equivalent available:** [`GET /api/v1/ldap/groups`](https://developer.jamf.com/jamf-pro/reference/get_v1-ldap-groups). The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.
- [licensedsoftware](https://developer.jamf.com/jamf-pro/reference/licensedsoftware.md)
- [Finds all licensed software](https://developer.jamf.com/jamf-pro/reference/findlicensedsoftware.md)
- [Finds licensed software by ID](https://developer.jamf.com/jamf-pro/reference/findlicensedsoftwarebyid.md)
- [Updates existing licensed software by ID](https://developer.jamf.com/jamf-pro/reference/updatelicensedsoftwarebyid.md): Matching computers are derived from software definitions, therefore they cannot be set with this operation.
- [Creates new licensed software by ID](https://developer.jamf.com/jamf-pro/reference/createlicensedsoftwarebyid.md): Matching computers are derived from software definitions, therefore they cannot be set with this operation.
- [Deletes licensed software by ID](https://developer.jamf.com/jamf-pro/reference/deletelicensedsoftwarebyid.md)
- [Finds licensed software by name](https://developer.jamf.com/jamf-pro/reference/findlicensedsoftwarebyname.md)
- [Updates an existing licensed software by name](https://developer.jamf.com/jamf-pro/reference/updatelicensedsoftwarebyname.md): Matching computers are derived from software definitions, therefore they cannot be set with this operation.
- [Deletes licensed software by name](https://developer.jamf.com/jamf-pro/reference/deletelicensedsoftwarebyname.md)
- [Flushes a log specified in an XML file](https://developer.jamf.com/jamf-pro/reference/logflush-1.md): Flushes a log specified in an XML file > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/log-flushing/task/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-log-flushing-task-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Flushes all logs for a given interval](https://developer.jamf.com/jamf-pro/reference/createlogflushforinterval.md): Flushes all logs for a given interval > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/log-flushing/task/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-log-flushing-task-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [Flushes a single log for a given interval](https://developer.jamf.com/jamf-pro/reference/createlogflushwithidandinterval.md): Flushes a single log for a given interval > 🔄 **Jamf Pro API equivalent available:** [`DELETE /api/v1/log-flushing/task/{id}`](https://developer.jamf.com/jamf-pro/reference/delete_v1-log-flushing-task-id). The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
- [macapplications](https://developer.jamf.com/jamf-pro/reference/macapplications.md)
- [Finds all mac applications](https://developer.jamf.com/jamf-pro/reference/findmacapps.md)
- [Finds mac applications by ID](https://developer.jamf.com/jamf-pro/reference/findmacappsbyid.md)
- [Updates an existing mac application by ID](https://developer.jamf.com/jamf-pro/reference/updatemacappbyid.md): Does not support vpp codes.
- [Creates a new mac application by ID](https://developer.jamf.com/jamf-pro/reference/createmacappbyid.md): Does not support vpp codes.
- [Deletes a mac application by ID](https://developer.jamf.com/jamf-pro/reference/deletemacappbyid.md)
- [Finds a subset of date for a mac application by ID](https://developer.jamf.com/jamf-pro/reference/findmacappsbyidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Scope)
- [Finds mac applications by name](https://developer.jamf.com/jamf-pro/reference/findmacappsbyname.md)
- [Updates an existing mac application by name](https://developer.jamf.com/jamf-pro/reference/updatemacappbyname.md): Does not support vpp codes.
- [Deletes a mac application by name](https://developer.jamf.com/jamf-pro/reference/deletemacappbyname.md)
- [Finds a subset of data for mac applications by name](https://developer.jamf.com/jamf-pro/reference/findmacappsbynamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Scope)
- [mobiledeviceapplications](https://developer.jamf.com/jamf-pro/reference/mobiledeviceapplications.md)
- [Finds all mobile device applications](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceapplications.md)
- [Finds mobile device applications by ID](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceapplicationsbyid.md)
- [Updates an existing mobile device application by ID](https://developer.jamf.com/jamf-pro/reference/updatemobiledeviceapplicationbyid.md): App configuration preferences should be listed using character entities, e.g. abcxyz
- [Creates a new mobile device application by ID](https://developer.jamf.com/jamf-pro/reference/createmobiledeviceapplicationbyid.md): App configuration preferences should be listed using character entities, e.g. abcxyz
- [Deletes a mobile device application by ID](https://developer.jamf.com/jamf-pro/reference/deletemobiledeviceapplicationbyid.md)
- [Finds mobile device applications by bundle ID](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceapplicationsbybundleid.md): If multiple applications match, no application is returned. You may specify both bundle id and version to uniquely identify a mobile device application.
- [Updates an existing mobile device application by bundle ID](https://developer.jamf.com/jamf-pro/reference/updatemobiledeviceapplicationbybundleid.md)
- [Deletes a mobile device application by bundle ID](https://developer.jamf.com/jamf-pro/reference/deletemobiledeviceapplicationbybundleid.md)
- [Finds mobile device applications by bundle ID and version](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceapplicationsbybundleidandversion.md)
- [Updates an existing mobile device application by bundle ID and version](https://developer.jamf.com/jamf-pro/reference/updatemobiledeviceapplicationbybundleidandversion.md)
- [Deletes a mobile device application by bundle ID and version](https://developer.jamf.com/jamf-pro/reference/deletemobiledeviceapplicationbybundleidandversion.md)
- [Finds a subset of data for a mobile device application by ID](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceappsbyidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Scope)
- [Finds mobile device applications by name](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceapplicationsbyname.md)
- [Updates an existing mobile device application by name](https://developer.jamf.com/jamf-pro/reference/updatemobiledeviceapplicationbyname.md)
- [Deletes a mobile device application by name](https://developer.jamf.com/jamf-pro/reference/deletemobiledeviceapplicationbyname.md)
- [Finds a subset of data for mobile device applications by name](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceapplicationsbynamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Scope)
- [mobiledevicecommands](https://developer.jamf.com/jamf-pro/reference/mobiledevicecommands.md)
- [Finds all mobile device commands](https://developer.jamf.com/jamf-pro/reference/findmobiledevicecommands.md)
- [Finds a mobile device command by UUID](https://developer.jamf.com/jamf-pro/reference/findmobiledevicecommandsbyuuid.md)
- [Finds all mobile device commands by command name](https://developer.jamf.com/jamf-pro/reference/findmobiledevicecommandsbyname.md)
- [Finds all mobile device commands for specified command](https://developer.jamf.com/jamf-pro/reference/findmobiledevicecommandsbycommand.md)
- [Creates a new mobile device command](https://developer.jamf.com/jamf-pro/reference/createmobiledevicecommand.md): The chart below includes additional requirements for usage of specific commands | command | Parameters | Requirements | Values | | ---------- | ------- | ------------ | ------ | | DeviceLocation (DeviceLocation Deprecated on 2025-06-12) | N/A | Supervised and in lost mode | N/A | | EnableLostMode | lost_mode_message | Supervised device (required if lost_mode_phone is not set) | string | | EnableLostMode | lost_mode_phone | Supervised device (required if lost_mode_message is not set) | string | | EnableLostMode | lost_mode_footnote | optional | string | | EnableLostMode | always_enforce_lost_mode | optional (defaults to 'true') | boolean | | EnableLostMode | lost_mode_with_sound | optional (defaults to 'false') | boolean | | PasscodeLockGracePeriod (PasscodeLockGracePeriod Deprecated on 2025-06-26) | passcode_lock_grace_period | Shared iPad | seconds (integer) | | PlayLostModeSound (PlayLostModeSound Deprecated on 2025-06-12) | N/A | Supervised and in lost mode | N/A | | Wallpaper (Deprecated on 2026-03-13) | wallpaper_settings | Supervised device | 1 = Lock screen, 2 = Home screen, 3 = both | | Wallpaper (Deprecated on 2026-03-13) | wallpaper_id | Supervised device (required if wallpaper_content is not set) | Jamf Pro icon ID (integer) | | Wallpaper (Deprecated on 2026-03-13) | wallpaper_content | Supervised device (required if wallpaper_id is not set) | base64 encoded PNG or JPEG | | RefreshCellularPlans (RefreshCellularPlans deprecated on 2025-07-15) | e_sim_server_url | N/A | This URL is obtained from each carrier separately |
- [Creates a new mobile device command](https://developer.jamf.com/jamf-pro/reference/createmobiledevicecommandurl.md): The chart below includes additional requirements for usage of specific commands | command | Parameters | Requirements | Values | | ---------- | ------- | ------------ | ------ | | DeviceLocation (DeviceLocation Deprecated on 2025-06-12)| N/A | Supervised and in lost mode | N/A | | EnableLostMode | lost_mode_message | Supervised device (required if lost_mode_phone is not set) | string | | EnableLostMode | lost_mode_phone | Supervised device (required if lost_mode_message is not set) | string | | EnableLostMode | lost_mode_footnote | optional | string | | EnableLostMode | always_enforce_lost_mode | optional (defaults to 'true') | boolean | | EnableLostMode | lost_mode_with_sound | optional (defaults to 'false') | boolean | | PasscodeLockGracePeriod (PasscodeLockGracePeriod Deprecated on 2025-06-26) | passcode_lock_grace_period | Shared iPad | seconds (integer) | | PlayLostModeSound (PlayLostModeSound Deprecated on 2025-06-12) | N/A | Supervised and in lost mode | N/A |
- [mobiledeviceconfigurationprofiles](https://developer.jamf.com/jamf-pro/reference/mobiledeviceconfigurationprofiles.md)
- [Finds all mobile device configuration profiles](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceconfigurationprofiles.md)
- [Finds mobile device configuration profiles by ID](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceconfigurationprofilesbyid.md)
- [Updates an existing mobile device configuration profile by ID](https://developer.jamf.com/jamf-pro/reference/updatemobiledeviceconfigurationprofilebyid.md)
- [Creates a new mobile device configuration profile by ID](https://developer.jamf.com/jamf-pro/reference/createmobiledeviceconfigurationprofilebyid.md)
- [Deletes a mobile device configuration profile by ID](https://developer.jamf.com/jamf-pro/reference/deletemobiledeviceconfigurationprofilebyid.md)
- [Finds a subset of data for a mobile device configuration profile by ID](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceconfigurationprofilesbyidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Scope)
- [Finds mobile device configuration profiles by name](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceconfigurationprofilesbyname.md)
- [Updates an existing mobile device configuration profile by name](https://developer.jamf.com/jamf-pro/reference/updatemobiledeviceconfigurationprofilebyname.md)
- [Deletes a mobile device configuration profile by name](https://developer.jamf.com/jamf-pro/reference/deletemobiledeviceconfigurationprofilebyname.md)
- [Finds a subset of data for mobile device configuration profiles by name](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceconfigurationprofilesbynamesubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Scope)
- [mobiledeviceenrollmentprofiles](https://developer.jamf.com/jamf-pro/reference/mobiledeviceenrollmentprofiles.md)
- [Finds all mobile device enrollment profiles](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceenrollmentprofiles.md): Finds all mobile device enrollment profiles
- [Finds mobile device enrollment profiles by ID](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceenrollmentprofilesbyid.md): Finds mobile device enrollment profiles by ID
- [Updates an existing mobile device enrollment profile by ID](https://developer.jamf.com/jamf-pro/reference/updatemobiledeviceenrollmentprofilebyid.md)
- [Creates a new mobile device enrollment profile by ID](https://developer.jamf.com/jamf-pro/reference/createmobiledeviceenrollmentprofilesbyid.md)
- [Deletes a mobile device enrollment profile by ID](https://developer.jamf.com/jamf-pro/reference/deletemobiledeviceenrollmentprofilebyid.md)
- [Finds mobile device enrollment profiles by invitation](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceenrollmentprofilesbyinvitation.md): Finds mobile device enrollment profiles by invitation
- [Updates an existing mobile device enrollment profile by invitation](https://developer.jamf.com/jamf-pro/reference/updatemobiledeviceenrollmentprofilebyinvitation.md)
- [Deletes a mobile device enrollment profile by invitation](https://developer.jamf.com/jamf-pro/reference/deletemobiledeviceenrollmentprofilebyinvitation.md)
- [Finds a subset of data for an enrollment profile](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceenrollmentprofilesbyidsubset.md): Subset values can also be appended using an ampersand to return multiple subsets (e.g. /subsets/General&Location)
- [Finds mobile device enrollment profiles by name](https://developer.jamf.com/jamf-pro/reference/findmobiledeviceenrollmentprofilesbyname.md): Finds mobile device enrollment profiles by name
- [Updates an existing mobile device enrollment profile by name](https://developer.jamf.com/jamf-pro/reference/updatemobiledeviceenrollmentprofilebyname.md)
- [Deletes a mobile device enrollment profile by name](https://developer.jamf.com/jamf-pro/reference/deletemobiledeviceenrollmentprofilebyname.md)
[...]
